package com.huawei.hwmdemo.menu;

import android.content.Context;

import com.huawei.cloudlink.smartrooms.uisdk.menu.audienceitem.AllowSpeakOrNotMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.audienceitem.SetAsGuestMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.participantitem.HandsUpMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.participantitem.MuteOrUnmuteMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.participantitem.RemoveMenu;
import com.huawei.cloudlink.smartrooms.uisdk.menu.participantitem.RenameMenu;
import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;

import java.util.ArrayList;
import java.util.List;

public class AudienceMenuCreator {

    public static List<IConfMenu> createAudienceItemMenus(Context context) {
        List<IConfMenu> confMenus = new ArrayList<>();
        confMenus.add(new RenameMenu(context));
        confMenus.add(new HandsUpMenu(context));
        confMenus.add(new AllowSpeakOrNotMenu(context));
        confMenus.add(new MuteOrUnmuteMenu(context));
        confMenus.add(new SetAsGuestMenu(context));
        confMenus.add(new RemoveMenu(context));
        return confMenus;
    }
}
